Subject: Re: bug#59320: 29.0.50; (Windows) Cursor is invisble unless inhibit-double-buffer is t, and then it only appears as a single pixel line

From: Po Lu <[email-masked]>
Date: Thu, 17 Nov 2022 11:26:26 +0800

Visuwesh <[email-masked]> writes:

> [வியாழன் நவம்பர் 17, 2022] Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:
>
>> Casey Banner <[email-masked]> writes:
>>
>>> This occurs in my config as well as emacs -Q. The cursor is invisible,
>>> unless I enable inhibit-double-buffer. Then it appears but only a
>>> single line regardless of the cursor-type setting.
>>>
>>> A video of the issue here: https://imgur.com/f8nepbE
>>
>> I can't open that page.  Would you please post it as a link?
>
> How about this https://i.bcow.xyz/f8nepbE.mp4?
> [ To those who are wondering, i.bcow.xyz is an instance of an alternate
>   imgur frontend called rimgo.  ]

Casey, do you have w32_use_visible_system_caret set to t?  That's the
only possibly related thing I can see in w32term.c.